--- old/usr/src/uts/common/io/softmac/softmac_fp.c	Thu Apr  4 14:09:52 2019
+++ new/usr/src/uts/common/io/softmac/softmac_fp.c	Thu Apr  4 14:09:52 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright 2019, Joyent, Inc.
+ */
+
+/*
  * Softmac data-path switching:
  *
  * - Fast-path model
@@ -764,7 +768,7 @@
 	 * operation is is serialized by softmac_wput_nondata_task().
 	 */
 	if (sup->su_mode != SOFTMAC_FASTPATH) {
-		dld_wput(sup->su_wq, mp);
+		(void) dld_wput(sup->su_wq, mp);
 		return;
 	}
 
@@ -986,7 +990,7 @@
 	 * process of switching.
 	 */
 	if (sup->su_mode != SOFTMAC_FASTPATH)
-		dld_wput(sup->su_wq, mp);
+		(void) dld_wput(sup->su_wq, mp);
 	else
 		(void) softmac_fastpath_wput_data(sup, mp, NULL, 0);
 }
